<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: bewerbung.php
| pr_Bewerbungsscript v1.5.2
| Author: PrugnatoR
| URL: http://prugnator.kilu.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."pr_bewerbung/infusion_db.php";
require_once INFUSIONS."pr_bewerbung/includes/functions.inc.php";

//Locale includieren
if (file_exists(INFUSIONS."pr_bewerbung/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pr_bewerbung/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pr_bewerbung/locale/German.php";
}

// Variablenfestlegung
$job = array("".$locale['pr_b035']."", "".$locale['pr_b036']."", "".$locale['pr_b037']."", "".$locale['pr_b038']."", "".$locale['pr_b038a']."");
$erf = array("".$locale['pr_b040']."", "".$locale['pr_b040a']."");
$sex = array("".$locale['pr_b039']."", "".$locale['pr_b039a']."");

// Copyright darf NICHT entfernt  oder verndert werden!!!
// Missachtung fhrt zu einer Strafanzeige!
$copyright = "<br><center><font size='1'>Bewerbungsscript v1.5.1</font></center><br><center>&copy; 2008 by <a href='http://www.prugnator.kilu.de' target='_blank'>PrugnatoR</a>";

// Zeitabfrage
$time = time();

require_once INFUSIONS."pr_bewerbung/includes/protect.inc.php";

// Bewerbung absenden
if (isset($_POST['absenden'])) {
	$error = "";
	$gday2= "".$_POST['d'].".".$_POST['m'].".".$_POST['y']."";
	if ($_POST['bname'] == ""){
		$error .= "<li>".$locale['pr_e02']."</li>";
	}
	if ($_POST['als'] == ""){
		$error .= "<li>".$locale['pr_e03']."</li>";
	}
	if ($_POST['name'] == ""){
		$error .= "<li>".$locale['pr_e04']."</li>";
	}
	if ($_POST['vname'] == ""){
		$error .= "<li>".$locale['pr_e05']."</li>";
	}
	if ($gday2 == ".."){
		$error .= "<li>".$locale['pr_e06']."</li>";
	}
	$email = "".$_POST['email']."";
	if ($email == ""){
		$error .= "<li>".$locale['pr_e07']."</li>";
	}
	if (!preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
		$error .= "<li>".$locale['pr_e08']."</li>";
	}
	if ($_POST['job'] == ""){
		$error .= "<li>".$locale['pr_e09']."</li>";
	}
	if ($_POST['erf'] == ""){
		$error .= "<li>".$locale['pr_e10']."</li>";
	}
	if ($_POST['manz'] == ""){
		$error .= "<li>".$locale['pr_e11']."</li>";
	}
	if ($_POST['connect'] == ""){
		$error .= "<li>".$locale['pr_e12']."</li>";
	}
	if ($_POST['style'] == ""){
		$error .= "<li>".$locale['pr_e13']."</li>";
	}
	if ($_POST['spam'] != "".$_POST['erg'].""){
		$error .= "<li>".$locale['pr_e14']."</li>";
	}
	if ($_POST['stime'] == ""){
		$error .= "<li>".$locale['pr_e15']."</li>";
	}

	if ($error != "") {
		opentable($locale['pr_e01']);
		echo "<!---<meta http-equiv='refresh' content='3; URL=".FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : '')."'>--->
		<center>".$locale['pr_en1']."</center><br><br>$error";
		}
	else {
	
// Sicherheitsfunktion

$bname= save($_POST['bname']);
$name= save($_POST['name']);
$vname= save($_POST['vname']);
$gday= "".$gday2."";
$adress= save($_POST['adress']);
$plz= save($_POST['plz']);
$ort= save($_POST['ort']);
$tel= save($_POST['tel']);
$email= save($_POST['email']);
if (isset($_POST['icq'])) {
$icq= save($_POST['icq']);
}
$msn= save($_POST['msn']);
$skype= save($_POST['skype']);
$aim= save($_POST['aim']);
if (isset($_POST['hp'])) {
$hp= save($_POST['hp']);
}
$erf_ref= save($_POST['erf_ref']);
$manz= save($_POST['manz']);
$connect= save($_POST['connect']);
$style= save($_POST['style']);
$why= save($_POST['why']);
$stime= save($_POST['stime']);
$soft= save($_POST['soft']);
$ip="".USER_IP."";


		$result = dbquery("INSERT INTO ".PR_DB_BEWERBUNG." (pr_date, pr_bname, pr_als, pr_name, pr_vname, pr_gday, pr_adress, pr_plz, pr_ort, pr_tel, pr_email, pr_icq, pr_msn, pr_skype, pr_aim, pr_hp, pr_job, pr_sex, pr_erf, pr_erf_ref, pr_connect, pr_anz, pr_style, pr_stime, pr_soft, pr_why, pr_ip) VALUES('".$time."', '".$bname."', '$_POST[als]', '".$name."', '".$vname."', '".$gday."', '".$adress."', '".$plz."', '".$ort."', '".$tel."', '".$email."', '".$icq."', '".$msn."', '".$skype."', '".$aim."', '".$hp."', '$_POST[job]', '$_POST[sex]', '$_POST[erf]', '".$erf_ref."', '".$connect."', '".$manz."', '".$style."', '".$stime."', '".$soft."', '".$why."', '".$ip."')"); 
		opentable("".$locale['pr_b001']." ".$locale['pr_b002']."");
		if ($result){
		echo "<center>".$locale['pr_b002a']."<br>";
		}else{
		echo "<center>".$locale['pr_n11']."<br>";
		}
		echo "</center>";
		}
}
else {

// Eingabebereich
opentable($locale['pr_b001']);
if ($activ == '1'){
echo '
<div class="quote"><center>'.$locale['pr_b003'].' '.$radioname.' '.$locale['pr_b003a'].'<br>
'.$locale['pr_b003b'].'<br>';
if (!iMEMBER){
	echo ''.$locale['pr_b004'].' <a href="'.BASEDIR.'register.php">'.$locale['pr_b004a'].'</a><br>';
}
echo '<br>'.$locale['pr_b031'].'<br>';
echo '<table border="0" class="quote">';
for ($i=0;$i<=$anz;$i++)
echo '<tr><td><li>'.$jobs[$i].'</li></td></tr>';
echo '</table>';
echo '<br>';
if ($kosten == '1'){
echo '<span style="color:#ff0000"><li> '.$locale['pr_b005'].'<br>';
if ($erm == '1'){
echo ''.$locale['pr_b005a'].'';
}
echo '</span>';
}
echo '
<li> '.$locale['pr_b006'].'</li>
<li> '.$locale['pr_b006a'].'</li>
<li> '.$locale['pr_b006b'].'</li>';
echo '</center></div><br><br>
<form name="bewerbung" method="post" action="'.FUSION_SELF.(FUSION_QUERY ? '?'.FUSION_QUERY : '').'">
	<table  border="0" width="100%" align="center">
	<tr>
		<td>'.$locale['pr_b010'].'<span style="color:#ff0000">*</span> </td>
		<td><input '; if (iMEMBER){echo 'value="'.$userdata['user_name'].'"';} echo 'type="text" name="bname" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b011'].'<span style="color:#ff0000">*</span> </td>
		<td><select name="als" class="textbox"><option value="">'.$locale['pr_b041'].'</option>\n';
			for ($i=0;$i<=$anz;$i++) 
				echo '<option value="'.$jobs[$i].'").">'.$jobs[$i].'</option>\n';
		echo '</select></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b012'].'<span style="color:#ff0000">*</span> </td>
		<td><input type="text" name="name" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b013'].'<span style="color:#ff0000">*</span> </td>
		<td><input type="text" name="vname" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b014'].'<span style="color:#ff0000">*</span> </td>
		<td><select name="d" class="textbox"><option value="">--</option>\n';
			for ($i=1;$i<=31;$i++) 
				echo '<option value="'.$i.'").">'.$i.'</option>\n';
		echo '</select> 
		<select name="m" class="textbox"><option value="">--</option>\n';
			for ($i=1;$i<=12;$i++) 
				echo '<option value="'.$i.'").">'.$i.'</option>\n';
		echo '</select>
		<select name="y" class="textbox"><option value="">----</option>\n';
			for ($i=1950;$i<=2007;$i++) 
				echo '<option value="'.$i.'").">'.$i.'</option>\n';
		echo '</select></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b015'].'</td>
		<td><input type="text" name="adress" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b016'].'</td>
		<td><input type="text" name="plz" size="5" class="textbox"> <input type="text" name="ort" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b017'].'</td>
		<td><input type="text" name="tel" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b018'].'<span style="color:#ff0000">*</span> </td>
		<td><input '; if (iMEMBER){echo 'value="'.$userdata['user_email'].'"';} echo 'type="text" name="email" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b019'].'</td>
		<td><input type="text" name="icq" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_n18'].'</td>
		<td><input type="text" name="msn" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_n19'].'</td>
		<td><input type="text" name="skype" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_n20'].'</td>
		<td><input type="text" name="aim" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b020'].'</td>
		<td><input type="text" name="hp" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b021'].'<span style="color:#ff0000">*</span> </td>
		<td><select name="job" class="textbox"><option value="">'.$locale['pr_b041'].'</option>\n';
			for ($i=0;$i<=4;$i++) 
				echo '<option value="'.$job[$i].'">'.$job[$i].'</option>\n';
		echo '</select></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b022'].'</td>
		<td>	<select name="sex" class="textbox"><option value="">'.$locale['pr_b041'].'</option>\n';
			for ($i=0;$i<=1;$i++) 
				echo '<option value="'.$sex[$i].'">'.$sex[$i].'</option>\n';
		echo '</select></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b023'].'<span style="color:#ff0000">*</span> </td>
		<td><select name="erf" class="textbox"><option value="">--</option>\n';
			for ($i=0;$i<=1;$i++) 
				echo '<option value="'.$erf[$i].'">'.$erf[$i].'</option>\n';
		echo '</select> <input type="text" name="erf_ref" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b024'].'<span style="color:#ff0000">*</span> </td>
		<td><input type="text" value="'.$locale['pr_b024a'].'" name="manz" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b025'].'<span style="color:#ff0000">*</span> (z.B. DSL 2000)</td>
		<td><input type="text" name="connect" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_b026'].'<span style="color:#ff0000">*</span> </td>
		<td><input type="text" name="style" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_n09'].'<span style="color:#ff0000">*</span> </td>
		<td><input type="text" name="stime" size="24" class="textbox"></td>
	</tr>
	<tr>
		<td>'.$locale['pr_n10'].' </td>
		<td><input type="text" name="soft" size="24" class="textbox"></td>
	</tr>';
	echo '<tr>
		<td>'.$locale['pr_b027'].' '.$radioname.'?:<span style="color:#ff0000">*</span> </td>
		<td><textarea type="text" name="why" rows="5" cols="54" class="textbox"></textarea></td>
	</tr>';
	makeAntiSpam();
	
	echo '</table><br><center>'.$locale['pr_n17'].'</center><br>
<p align="center"><input type="submit" name="absenden" value="'.$locale['pr_b028'].'" class="button"> <input type="reset" class="button" value="'.$locale['pr_b029'].'"><br></p>
</form>';
if ($check){
echo '<center><form name="admingo" method="post" action="'.INFUSIONS.'pr_bewerbung/pr_bewerbungs_admin.php'.$aidlink.'">
<input type="submit" name="absenden" value="'.$locale['pr_n01'].'" class="button">
</form></center>';
}
}else{
echo "<center> ".$locale['pr_b030']."</center>";
}
}
echo "<div align='right'>Code &copy; by <a href='http://prugnator.kilu.de'>PrugnatoR</a></div>";
closetable();


require_once THEMES."templates/footer.php";
?>